Skip to main content
Maintenance / Imports

Post Maintenance Import

Post pending maintenance import.

POST
/fm/maintenance-imports/post

Transactions are changed from a status of 'pending' to 'posted' and cannot be re-posted.

This method requires the MaintenanceImports:Post permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/x-www-form-urlencoded
interface_batch_nostringrequired

Interface Batch No

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
interface_item_nostring

Interface Item No

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Maintenance Import items posted successfully